#
# spec file for package liboop
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           liboop
%define lname	liboop4
Version:        1.0
Release:        165.1
Url:            http://liboop.org/
Summary:        Low-Level Event Loop Management Library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Source:         http://download.ofb.net/liboop/liboop.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig

%description
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular, multiplexed
applications that may respond to events from several sources. It
replaces the "select() loop" and allows the registration of event
handlers for file and network I/O, timers, and signals. Because
processes use these mechanisms for almost all external communication,
liboop can be used as the basis for almost any application.



Authors:
--------
    Dan Egnor <egnor at ofb dot net>

%package -n %lname
Summary:        Low-Level Event Loop Management Library
Group:          System/Libraries
#O/P added for 12.1
Obsoletes:      liboop < %version-%release
Provides:       liboop = %version-%release

%description -n %lname
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular, multiplexed
applications that may respond to events from several sources. It
replaces the "select() loop" and allows the registration of event
handlers for file and network I/O, timers, and signals. Because
processes use these mechanisms for almost all external communication,
liboop can be used as the basis for almost any application.

%package devel
Summary:        Development Libraries and Header Files of liboop
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
This package contains the static libraries and header files needed to
develop programs which make use of the liboop programming interface.



Authors:
--------
    Dan Egnor <egnor at ofb dot net>

%prep
%setup -q

%build
%configure --disable-static --with-pic
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
%{__make} DESTDIR=${RPM_BUILD_ROOT} install

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/liboop.so.4*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/oop*
%{_libdir}/liboop.so
%{_libdir}/pkgconfig/liboop*
%exclude %{_libdir}/liboop.la

%changelog
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
- Employ shlib policy
- Make pkgconfig provides available
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-post* errors
- remove useless "la" file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb  9 2005 lmuelle@suse.de
- Update to version 1.0.
- Split off liboop-devel sub package.
